Subject: Re: [BLISS] I-Ds concerning problems with response codes

From: Sriram Parameswar <[email-masked]>
Date: Tue, 6 Mar 2007 00:28:30 -0800

I agree with Francois that there is a problem with the way 6xx is currently defined in 3261. We have a draft (in SIPPING) that aims to clarify the difference between cancelling all branches and cancelling all current branches while allowing for serial forking (i.e. route call to voicemail or team etc.)

Till it appears in the archive you may find a copy here:

http://home.comcast.net/~sriramkp/Drafts/draft-rajesh-sipping-605-01.txt

Thanks and looking forward to continuing this discussion in SIPPING (or here if you prefer).

Thanks,

Sriram

----------------------------------------------------------------------

Message: 1
Date: Mon, 05 Mar 2007 20:54:31 -0600
From: Spencer Dawkins <[email-masked]>
Subject: Re: [BLISS] I-Ds concerning problems with response codes
To: [email-masked]
Message-ID: <[email-masked]>
Content-Type: text/plain; format=flowed; charset=iso-8859-1;
        reply-type=response

Hi, Paul,

From: "Paul Kyzivat" <[email-masked]>

> Alan Johnston wrote:
>> What is wrong with a 6xx?
>>
>> When I give SIP tutorials, I say it is what you send to a telemarketer
>> when they call.  Do you really want a voicemail from a telemarketer??
>> Do you want your other devices to ring??
>>
>> If UAs are generating 6xx responses and they don't really mean it, then
>> that is a problem with the UAs not 3261.
>
> I don't think there is anything wrong with 6xx. But what might be wrong
> is that no latitude is given to a proxy to consider or try other
> alternatives once a 6xx is received. There seems to be a justified need
> for a proxy to have some policy control in this regard. In some cases
> each and every UA may be allowed to have the last word, but not in all
> cases.
>
> In particular, when a proxy is authoritative for an AOR, and chooses to
> translate and forward, it should have the discretionary authority to
> ignore the 6xx and try something else if it wishes. In some cases the
> proxy may trump the UA, and in other cases it may not.
>
> Paul

Yeah, where the answer is "it depends", a BCP would help a lot!

Thanks,

Spencer

------------------------------

_______________________________________________
BLISS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bliss

End of BLISS Digest, Vol 3, Issue 13
************************************

_______________________________________________
BLISS mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bliss